Grasshopper

algorithmic modeling for Rhino

as the picture:

                   i wanna get the point intersected by two lines and surface.But i dont find the related method.The method 'CurveSurface Method (Curve, Surface, Double, Double)

return value is A collection of intersection events.I dont know how to ues it.

Thank you

-Carcassi.

Views: 4715

Replies to This Discussion

Hi Carcassi,

I don't really understand what you mean by a point intersected by TWO lines and a surface. There are more resulting points isn't it?

 

However here is an example how to use the Intersection namespace and in special CurveIntersections in rhinocommon. This should give you a clue and you adapt it to your needs:

This is the code:

Rhino.Geometry.Intersect.CurveIntersections sect; 
sect = Rhino.Geometry.Intersect.Intersection.CurveSurface(C, S, 0.001, 0.001); 
List<Point3d> results = new List<Point3d>(); 
foreach(Rhino.Geometry.Intersect.IntersectionEvent iEvent in sect)
  results.Add(iEvent.PointA); A = results;

 

The GH is attached.

Good work,

FF

 

Attachments:

Thanks

-Carcassi

Thanks Man ur amzing!!!

RSS

About

Translate

Search

Videos

  • Add Videos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service